Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418767 - xorg-x11-server-Xvfb: Missing dependency on "which"
Summary: xorg-x11-server-Xvfb: Missing dependency on "which"
Keywords:
Status: CLOSED DUPLICATE of bug 1443357
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 16:43 UTC by Christoph Reiter
Modified: 2017-11-16 20:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 20:02:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Christoph Reiter 2017-02-02 16:43:30 UTC
1) Installed xorg-x11-server-Xvfb on docker
2) Tried to run xvfb-run

Got:
/usr/bin/xvfb-run: line 141: which: command not found
xvfb-run: error: xauth command not found

After "dnf install which" things started working

Comment 1 Martin Pitt 2017-03-30 13:20:49 UTC
Confirmed. Trivial reproducer:

$ sudo docker run --rm=true fedora:rawhide sh -c 'dnf install -y xorg-x11-server-Xvfb; xvfb-run true'
usr/bin/xvfb-run: line 141: which: command not found
xvfb-run: error: xauth command not found
$ echo $?
3

Presumably xorg-x11-xauth- should also become a dependency.

Comment 2 Martin Langhoff 2017-09-19 20:51:44 UTC
Yup, seen here as well, affects EL7 too.

Comment 3 Fedora End Of Life 2017-11-16 19:52:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Christoph Reiter 2017-11-16 20:02:47 UTC
The docker command runs now with recent rawhide.
The package changelog pointed to bug 1443357 which seems to be the same (now fixed) issue.

*** This bug has been marked as a duplicate of bug 1443357 ***


Note You need to log in before you can comment on or make changes to this bug.